resources

Browsers supported by HubSpot

Last updated: June 22, 2018

To take advantage of all of HubSpot's features, you'll need to use one of the following supported web browsers when working in the HubSpot platform. 

Please note: these supported browsers do not apply to public-facing content created on HubSpot. Browser support for website and blog content created and hosted on HubSpot will vary depending on that browser's support for the HTML, the CSS, and the Javascript written for your site. 

Windows-supported browsers

  • Google Chrome (latest version)
  • Mozilla Firefox (latest version)
  • Microsoft Edge (latest version)
  • Internet Explorer 11*

*Note: Microsoft recommends using Microsoft Edge as your default browser, and supports Internet Explorer 11 for backward compatibility. Versions of Internet Explorer 10 and below are not supported by HubSpot, because they are not fully supported by Microsoft

When you have Compatibility View turned on in Internet Explorer 11, our unsupported browser warnings will be shown because IE 11 is acting as an older browser. To resolve this error, turn off Compatibility View.

Mac-supported browsers

  • Google Chrome (latest version)
  • Safari (latest version)
  • Mozilla Firefox (latest version)

Update your web browsers

It is best practice to keep your web browsers updated to the latest version to ensure that websites render properly. To update HubSpot's supported browsers, take the steps in the following links:

Was this article helpful?

If you still need help you can get answers from the , or to contact support.